Package org.apache.solr.client.solrj.impl

## Class SolrHttpClientContextBuilder

- java.lang.Object
- - org.apache.solr.client.solrj.impl.SolrHttpClientContextBuilder

    @Deprecated(since="9.0")
    public class SolrHttpClientContextBuilder
    extends Object

Deprecated.
Please look into using Solr's new Http2 clients

### Nested Class Summary

Nested Classes
`static class` `SolrHttpClientContextBuilder.AuthSchemeRegistryProvider` Deprecated.
`static class` `SolrHttpClientContextBuilder.CookieSpecRegistryProvider` Deprecated.
`static class` `SolrHttpClientContextBuilder.CredentialsProviderProvider` Deprecated.

### Constructor Summary

Constructors
`SolrHttpClientContextBuilder()` Deprecated.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static SolrHttpClientContextBuilder` `create()` Deprecated.
`org.apache.http.client.protocol.HttpClientContext` `createContext​(Object userToken)` Deprecated.
`SolrHttpClientContextBuilder.AuthSchemeRegistryProvider` `getAuthSchemeRegistryProvider()` Deprecated.
`SolrHttpClientContextBuilder.CookieSpecRegistryProvider` `getCookieSpecRegistryProvider()` Deprecated.
`SolrHttpClientContextBuilder.CredentialsProviderProvider` `getCredentialsProviderProvider()` Deprecated.
`SolrHttpClientContextBuilder` `setAuthSchemeRegistryProvider​(SolrHttpClientContextBuilder.AuthSchemeRegistryProvider authSchemeRegistryProvider)` Deprecated.
`SolrHttpClientContextBuilder` `setCookieSpecRegistryProvider​(SolrHttpClientContextBuilder.CookieSpecRegistryProvider cookieSpecRegistryProvider)` Deprecated.
`SolrHttpClientContextBuilder` `setDefaultCredentialsProvider​(SolrHttpClientContextBuilder.CredentialsProviderProvider credentialsProviderProvider)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SolrHttpClientContextBuilder

    public SolrHttpClientContextBuilder()

Deprecated.

### Method Detail

#### create

    public static SolrHttpClientContextBuilder create()

Deprecated.

#### setCookieSpecRegistryProvider

    public final SolrHttpClientContextBuilder setCookieSpecRegistryProvider​(SolrHttpClientContextBuilder.CookieSpecRegistryProvider cookieSpecRegistryProvider)

Deprecated.

#### setDefaultCredentialsProvider

    public final SolrHttpClientContextBuilder setDefaultCredentialsProvider​(SolrHttpClientContextBuilder.CredentialsProviderProvider credentialsProviderProvider)

Deprecated.

#### setAuthSchemeRegistryProvider

    public final SolrHttpClientContextBuilder setAuthSchemeRegistryProvider​(SolrHttpClientContextBuilder.AuthSchemeRegistryProvider authSchemeRegistryProvider)

Deprecated.

#### getAuthSchemeRegistryProvider

    public SolrHttpClientContextBuilder.AuthSchemeRegistryProvider getAuthSchemeRegistryProvider()

Deprecated.

#### getCookieSpecRegistryProvider

    public SolrHttpClientContextBuilder.CookieSpecRegistryProvider getCookieSpecRegistryProvider()

Deprecated.

#### getCredentialsProviderProvider

    public SolrHttpClientContextBuilder.CredentialsProviderProvider getCredentialsProviderProvider()

Deprecated.

#### createContext

    public org.apache.http.client.protocol.HttpClientContext createContext​(Object userToken)

Deprecated.